Validate scenario

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /project/{projectId}/scenario/{scenarioId}/validate

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
application/json

Body Required

  • scheduleIds array[integer(int64)]

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • valid boolean
    • message string
POST /project/{projectId}/scenario/{scenarioId}/validate
curl \
 --request POST 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/validate' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "scheduleIds": [
    42
  ]
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "scheduleIds": [
    42
  ]
}
Response examples (200)
{
  "valid": true,
  "message": "string"
}